Package org.lwjgl.opengles

# Class IMGTextureCompressionPvrtc

java.lang.Object
org.lwjgl.opengles.IMGTextureCompressionPvrtc

public final class IMGTextureCompressionPvrtc extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG`
Accepted by the <internalformat> parameter of CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB:
`static final int`
`GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG`
Accepted by the <internalformat> parameter of CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB:
`static final int`
`GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG`
Accepted by the <internalformat> parameter of CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB:
`static final int`
`GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG`
Accepted by the <internalformat> parameter of CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG

public static final int GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG
Accepted by the <internalformat> parameter of CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG

public static final int GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG
Accepted by the <internalformat> parameter of CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG

public static final int GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG
Accepted by the <internalformat> parameter of CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG

public static final int GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG
Accepted by the <internalformat> parameter of CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB:

See Also:
  - Constant Field Values